Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.bootstrap.basic
Interface KernelConstants

All Known Subinterfaces:
  StandaloneKernelConstants

public interface KernelConstants

Constants.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock, Les A. Hazlewood

Field Summary
`static String` | `KERNEL_BUS_CLASS` The default kernel bus implementation
`static String` | `KERNEL_BUS_NAME` The default kernel bus name
`static String` | `KERNEL_BUS_PROPERTY` The kernel bus property
`static String` | `KERNEL_CONFIG_NAME` The default kernel config name
`static String` | `KERNEL_CONFIGURATOR_CLASS` The default kernel configurator implementation
`static String` | `KERNEL_CONFIGURATOR_NAME` The default kernel configurator name
`static String` | `KERNEL_CONFIGURATOR_PROPERTY` The kernel configurator property
`static String` | `KERNEL_CONTROLLER_CLASS` The default kernel controller implementation
`static String` | `KERNEL_CONTROLLER_NAME` The default kernel controller name
`static String` | `KERNEL_CONTROLLER_PROPERTY` The kernel controller property
`static String` | `KERNEL_EVENT_MANAGER_CLASS` The default kernel event manager implementation
`static String` | `KERNEL_EVENT_MANAGER_NAME` The default kernel event manager name
`static String` | `KERNEL_EVENT_MANAGER_PROPERTY` The kernel event manager property
`static String` | `KERNEL_INITIALIZER_CLASS` The default kernel initializer implementation
`static String` | `KERNEL_INITIALIZER_NAME` The default kernel initializer
`static String` | `KERNEL_INITIALIZER_PROPERTY` The kernel initializer property
`static String` | `KERNEL_NAME` The default kernel name
`static String` | `KERNEL_REGISTRY_CLASS` The default kernel registry implementation
`static String` | `KERNEL_REGISTRY_NAME` The default kernel registry name
`static String` | `KERNEL_REGISTRY_PROPERTY` The kernel registry property

Field Detail

### KERNEL_NAME

    public static final String KERNEL_NAME

  The default kernel name

  See Also:
    Constant Field Values

### KERNEL_BUS_NAME

    public static final String KERNEL_BUS_NAME

  The default kernel bus name

  See Also:
    Constant Field Values

### KERNEL_BUS_PROPERTY

    public static final String KERNEL_BUS_PROPERTY

  The kernel bus property

### KERNEL_BUS_CLASS

    public static final String KERNEL_BUS_CLASS

  The default kernel bus implementation

  See Also:
    Constant Field Values

### KERNEL_CONFIG_NAME

    public static final String KERNEL_CONFIG_NAME

  The default kernel config name

  See Also:
    Constant Field Values

### KERNEL_CONFIGURATOR_NAME

    public static final String KERNEL_CONFIGURATOR_NAME

  The default kernel configurator name

  See Also:
    Constant Field Values

### KERNEL_CONFIGURATOR_PROPERTY

    public static final String KERNEL_CONFIGURATOR_PROPERTY

  The kernel configurator property

### KERNEL_CONFIGURATOR_CLASS

    public static final String KERNEL_CONFIGURATOR_CLASS

  The default kernel configurator implementation

  See Also:
    Constant Field Values

### KERNEL_CONTROLLER_NAME

    public static final String KERNEL_CONTROLLER_NAME

  The default kernel controller name

  See Also:
    Constant Field Values

### KERNEL_CONTROLLER_PROPERTY

    public static final String KERNEL_CONTROLLER_PROPERTY

  The kernel controller property

### KERNEL_CONTROLLER_CLASS

    public static final String KERNEL_CONTROLLER_CLASS

  The default kernel controller implementation

  See Also:
    Constant Field Values

### KERNEL_EVENT_MANAGER_NAME

    public static final String KERNEL_EVENT_MANAGER_NAME

  The default kernel event manager name

  See Also:
    Constant Field Values

### KERNEL_EVENT_MANAGER_PROPERTY

    public static final String KERNEL_EVENT_MANAGER_PROPERTY

  The kernel event manager property

### KERNEL_EVENT_MANAGER_CLASS

    public static final String KERNEL_EVENT_MANAGER_CLASS

  The default kernel event manager implementation

  See Also:
    Constant Field Values

### KERNEL_INITIALIZER_NAME

    public static final String KERNEL_INITIALIZER_NAME

  The default kernel initializer

  See Also:
    Constant Field Values

### KERNEL_INITIALIZER_PROPERTY

    public static final String KERNEL_INITIALIZER_PROPERTY

  The kernel initializer property

### KERNEL_INITIALIZER_CLASS

    public static final String KERNEL_INITIALIZER_CLASS

  The default kernel initializer implementation

  See Also:
    Constant Field Values

### KERNEL_REGISTRY_NAME

    public static final String KERNEL_REGISTRY_NAME

  The default kernel registry name

  See Also:
    Constant Field Values

### KERNEL_REGISTRY_PROPERTY

    public static final String KERNEL_REGISTRY_PROPERTY

  The kernel registry property

### KERNEL_REGISTRY_CLASS

    public static final String KERNEL_REGISTRY_CLASS

  The default kernel registry implementation

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.